MACRO BOOST_MP(3)

NAME
BOOST_MPI_CHECK_RESULT

SYNOPSIS

// In header: <boost/mpi/exception.hpp>
BOOST_MPI_CHECK_RESULT(MPIFunc, Args)

DESCRIPTION

Call the MPI routine MPIFunc with arguments Args (surrounded by parentheses). If the result is not MPI_SUCCESS, use boost::throw_exception to throw an exception or abort, depending on BOOST_NO_EXCEPTIONS.